<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Модерация рейтинга');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 1) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Модерация рейтинга </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Модерация рейтинга</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Модерация рейтинга</div>';

if (isset($_GET['da'])) {
$in = DB::$dbs->queryFetch("SELECT * FROM arbitage WHERE id = ? LIMIT 1",array(intval($_GET['id'])));
DB :: $dbs -> query ("UPDATE arbitage SET status = ? WHERE id = ?",array(0,abs(intval($_GET['id']))));
header('location: ?');
}
if (isset($_GET['net'])) {
DB :: $dbs -> query ("DELETE FROM arbitage WHERE id = ?",array(abs(intval($_GET['id']))));
header('location: ?');
}
$look = DB :: $dbs -> querySingle("SELECT COUNT(id) FROM arbitage WHERE status = ?",[1]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
if ($look==0) {
echo '<div class="error">Нет отзывов на модерации!</div>';
} else {
$query = DB :: $dbs -> query("SELECT * FROM arbitage WHERE status = ? ORDER BY time DESC LIMIT $start,$num",[1]);
while ($arr = $query -> fetch()) {
echo '<div class="row text_box"><i class="md-forum"></i> <b>'.($arr['type'] == 1 ? '<font color="green">Замечательный</font>':'<font color="red">Негативный</font>').'</b> отзыв от: '.Nick($arr['id_user']).' для  '.Nick($arr['user_id']).' ('.vr($arr['time']).')<br/><br/>Текст: '.text($arr['text']).'<br/></div>
<div class="row text_box"><i class="md-shuffle"></i> <a href="?da&id='.$arr['id'].'"> [подтвердить]</a> / <a href="?net&id='.$arr['id'].'">[отклонить]</a></div>';
}
if ($k_page>1) {
str('?id='.$id.'&', $k_page,$page);
}}

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>
